package org.example.socket.utils;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class IdService {


    @Autowired
    private SnowflakeIdGenerator generator;

    public String gen() {
        return String.valueOf(generator.nextId());
    }
}
